列出 secureScoreControlProfiles

命名空间:microsoft.graph

检索 secureScoreControlProfiles 对象的属性和关系。

权限

要调用此 API,需要以下权限之一。要了解详细信息,包括如何选择权限的信息,请参阅权限

权限类型 权限(从最低特权到最高特权)
委派(工作或学校帐户) SecurityEvents.Read.All,SecurityEvents.ReadWrite.All
委派(个人 Microsoft 帐户) 不支持。
应用程序 SecurityEvents.Read.All,SecurityEvents.ReadWrite.All

HTTP 请求

GET /security/secureScoreControlProfiles
GET /security/secureScoreControlProfiles?$top=1
GET /security/secureScoreControlProfiles?$filter={property} eq '{property-value}'

可选的查询参数

此方法支持以下 OData 查询参数,它们有助于自定义响应:

  • $count
  • $filter
  • $skip
  • $top 将返回每个安全 API 提供程序的顶部聚合结果。

请求标头

名称 说明
Authorization 持有者 {code}。必需。

请求正文

请勿提供此方法的请求正文。 将忽略请求正文。

响应

如果成功,此方法在响应正文中返回一个 200 OK 响应代码和 secureScoreControlProfiles 对象集合。

示例

请求

下面展示了示例请求。

GET https://graph.microsoft.com/v1.0/security/secureScoreControlProfiles

响应

下面展示了示例响应。

HTTP/1.1 200 OK
Content-type: application/json


{
  "value": [
    {
      "id": "DLPEnabled",
      "azureTenantId": "00000001-0001-0001-0001-000000000001c",
      "actionType": "Config",
      "actionUrl": "https://compliance.microsoft.com/#/policies",
      "controlCategory": "Data",
      "title": "Apply Data Loss Prevention policies", 
      "deprecated": false,
      "implementationCost": "Moderate",
      "lastModifiedDateTime": null,
      "maxScore": 20.0,
      "rank": 55,
      "remediation": "You can create and manage data loss prevention policies in the Policies page of the compliance portal.",
      "remediationImpact": "This change will have a moderate impact on your users.",
      "service": "IP",
      "threats": [
        "Data Exfiltration",
        "Data Spillage"
      ],
      "tier": "Advanced",
      "userImpact": "Moderate",
      "complianceInformation": [
        {
          "certificationName": "ISO 27001:2013",
          "certificationControls": [
            {
              "name":  "A.8.2.1",
              "url": "",
            }
          ]
        }         
      ],
      "controlStateUpdates": [
        {
          "assignedTo": null,
          "comment": null,
          "state": "Default",
          "updatedBy": null,
          "updatedDateTime": "2019-03-19T22:37:14.628799Z"
        }
      ],
      "vendorInformation": {
        "provider": "SecureScore",
        "providerVersion": null,
        "subProvider": null,
        "vendor": "Microsoft"
      }
    }    
  ]
}